<?php

namespace App\Repositories\Procedure;

use App\Models\Procedure;

class ProcedureRepository implements ProcedureRepositoryInterface
{
    public function create(array $data){
        return Procedure::create($data);
    }
    public function find($id){
        return Procedure::find($id);
    }
    public function update($id, $data){
        return Procedure::find($id)->update($data);
    }
    public function delete($id){
        return Procedure::find($id)->delete();
    }
    public function all(){
        return Procedure::all();
    }
    public function allquery(){
        return Procedure::query();
    }
    public function restore($id){
        return Procedure::withTrashed()->find($id)->restore();
    }
}
